[SciPy-user] wxpython

Robert Kern rkern at ucsd.edu
Wed Jul 13 07:53:06 CDT 2005


[Apologies for piggybacking. I haven't seen the original, yet.]

Ryan Krauss wrote:
> By the way, matplotlib does include a wx backend that makes plotting in 
> wxPython quite nice.
> 
> Howey, David A wrote:
> 
>>I've now installed wxpython, and sadly get:
>>
>>>>>import gui_thread
>>>>>gui_thread.start()
>>>>>        
>>>>>
>>
>>Traceback (most recent call last):
>>  File "<pyshell#1>", line 1, in -toplevel-
>>    gui_thread.start()
>>  File "C:\Python23\Lib\site-packages\gui_thread\__init__.py", line 73,
>>in start
>>    wxPython_thread()
>>  File "C:\Python23\Lib\site-packages\gui_thread\wxPython_thread.py",
>>line 160, in wxPython_thread
>>    sys.modules[name] = wrap_extmodule(module,call_holder)
>>  File "C:\Python23\Lib\site-packages\gui_thread\wxPython_thread.py",
>>line 61, in wrap_extmodule
>>    raise NotImplementedError,`t`
>>NotImplementedError: <type 'PyCObject'>

gui_thread is obsolete and has not been upgraded to handle the latest 
wxPython. ipython has up-to-date threading support.

http://ipython.scipy.org/

-- 
Robert Kern
rkern at ucsd.edu

"In the fields of hell where the grass grows high
  Are the graves of dreams allowed to die."
   -- Richard Harter



More information about the SciPy-user mailing list